@layer wa-native {
  button.revealer {
    height: revert-layer !important;
  }
}

@layer mp {
  :root {
    --mp-transition-cubic: cubic-bezier(0.215, 0.61, 0.355, 1);
    --mp-transition-easing: ease-in-out;

    --mp-link-color: var(--mp-color-primary);
    --mp-interactive-link-color: var(--mp-link-color);
    --mp-interactive-link-color--hover: var(--mp-color-primary);
  }
}
@layer mp.interactivity {


  dialog {

  }

  wa-zoomable-frame {
    border-radius: 0;
  }

  .form-container:not(:has(.form-container)) {
    clip-path: inset(0 0 0 0);
  }

  .loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    justify-content: center;
    align-items: center;
    z-index: 9999;
    font-size: 5rem;
    place-items: center;
    opacity: 1;
    user-select: none;
    content: "";
    animation: aria-busy-fade-in var(--wa-transition-normal);
    transition: opacity var(--wa-transition-normal) var(--mp-transition-easing);
    pointer-events: all;
    cursor: progress !important;

  }

  .loading-overlay[hidden] {
    display: initial;
    opacity: 0;
    pointer-events: none;
  }

  @keyframes aria-busy-fade-in {
    from {
      opacity: 0;
    }
    to {
      opacity: 0.8;
    }
  }


  a, .link {
    color: var(--mp-interactive-link-color, currentColor);
    width: max-content;
    text-decoration: none;
  }
  
  a, .link .link--inline {
    outline: var(--wa-space-3xs) solid transparent;
    outline-offset: 0;
    text-decoration: underline;
    text-decoration-color: transparent;
    text-decoration-thickness: .125em;
    text-underline-offset: .25em;
    transition-duration: var(--wa-transition-normal);
    transition-property: single-arg(outline-color, text-decoration-color);
    transition-timing-function: var(--mp-transition-easing);
  }
  a, .link .link--inline:hover {
    text-decoration-color: var(--mp-interactive-link-color--hover, currentcolor);
  }
  
  a:not(.no-underline, .link--inline, .logo), 
  .link:not(.no-underline, .link--inline, .logo) {
    position: relative;
    text-decoration: none;
  }
  a:not(.no-underline, .link--inline, .logo):after, 
  .link:not(.no-underline, .link--inline, .logo):after {
    background-color: transparent;
    border-bottom: var(--wa-space-2xs) solid var(--mp-interactive-link-color--hover, currentColor);
    bottom: calc((var(--wa-space-m) + var(--wa-space-2xs)) * -1);
    content: "";
    display: block;
    height: 100%;
    left: 0;
    opacity: 0;
    position: absolute;
    right: 0;
    transform: translateY(calc(-1 * var(--wa-space-xs)));
    transition: all 300ms var(--mp-transition-cubic);
    width: 100%;
    z-index: 9999999;
  }
  a:not(.no-underline, .link--inline, .logo):focus:after, &:hover:after, 
  .link:not(.no-underline, .link--inline, .logo):focus:after, &:hover:after {
    opacity: 1;
    transform: translateY(0);
  }

  .packet-form-container {
    min-inline-size: min(375px, 100%);
  }
  mp-form-card:has(:only-child.wa-stack) {
    /*background-color: rebeccapurple;*/
    --mp-revealer-block-padding: var(--mp-utils-current-gap);
    --mp-revealer-inline-padding: calc(var(--mp-utils-current-gap) / 2);
  }
  mp-form-card.bordered {
    /*border-width: 1px;*/
    border-width: var(--wa-border-width-s);
    border-radius: var(--wa-border-radius-l);
    padding: var(--wa-space-2xl) var(--wa-space-xl);
  }
  mp-form-card {
    --wa-tooltip-background-color: var(--mp-color-primary-foreground);
    box-shadow: var(--wa-shadow-s);
    overflow: clip;
    position: relative;
    border-radius: var(--wa-border-radius-l);
    background-color: inherit;
    border: var(--wa-border-width-m) solid var(--mp-color-dark);
    color: inherit;
    border-color: var(--mp-color-dark);

    transition-property: color, box-shadow, border-color, transform;
    transition-duration: var(--wa-transition-slow);
    transition-timing-function: var(--mp-transition-easing);
    --mp-revealer-block-padding: var(--wa-space-xl);
    --mp-revealer-inline-padding: var(--wa-space-xl);

    padding: var(--mp-revealer-block-padding) var(--mp-revealer-inline-padding);
    /*transform: scale(.98) translateZ(var(--wa-space-2xl));*/



  }
  @media (pointer: fine) {

    mp-form-card:hover {
      box-shadow: var(--wa-shadow-l);
      /*border-color: var(--mp-color-light);*/
      transform: scale(1) translateZ(0);
      /*@media (pointer: fine) {*/
      /*  color: white !important;*/
      /*  &:before {*/
      /*    border-radius: 0;*/
      /*    opacity: 1;*/
      /*    transform: scaleY(1);*/
      /*  }*/
      /*}*/
    }

    mp-form-card * {
      z-index: 1;
    }

    mp-form-card:before {
      background-color: var(--mp-color-dark);
      border-top-left-radius: 100px;
      border-top-right-radius: 100px;
      bottom: 0;
      content: "";
      height: 100%;
      left: 0;
      opacity: 0;
      position: absolute;
      right: 0;
      top: 0;
      transform: scaleY(.75) translateZ(0);
      transform-origin: center bottom;
      width: 100%;
      z-index: 0;

      transition-property: opacity, transform, border-radius, background-color;
      transition-duration: var(--wa-transition-slow);
      transition-timing-function: var(--mp-transition-cubic);
    }
  }
  
}

